# TouchSensor Class Reference

[GameLogic Index] [GameLogic Hierarchy]

A TouchSensor is a special kind of a general sensor More...

`#include <touchsensor.h>`

Inherits: Sensor

## Public Members

- TouchSensor ()
- ~TouchSensor ()
- PyObject* setProperty (char* name)
- PyObject* getProperty ()
- PyObject* getHitObject ()
- PyObject* getHitObjectList ()

## Detailed Description

A TouchSensor is a special kind of a general sensor.

## PyObject* setProperty(char* name)

Set the property or material to collide with. Use setTouchMaterial() to switch between properties and materials.

## PyObject* getProperty()

Returns the property or material to collide with. Use getTouchMaterial() to find out whether this sensor looks for properties or materials.

## PyObject* getHitObject()

Returns the Python object you touched.

## PyObject* getHitObjectList()

Returns a Python list of touched objects.

- Author: Jan Walter
- Documentation generated by jan@nvidea on Thu Dec 21 14:04:43 CET 2000

K doc